> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coverwhale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Reinstatement

> Creates a reinstatement from a cancelled submission. Admin only.



## OpenAPI

````yaml post /submission/{displayId}/{transactionId}/reinstatement
openapi: 3.0.0
info:
  title: Cover Whale API V1
  contact:
    name: Cover Whale API Team
  version: '1.0'
servers:
  - url: https://api.coverwhale.dev/v1
security:
  - AccessToken: []
tags:
  - name: Authentication
    description: Authenticating & Interacting with the API
paths:
  /submission/{displayId}/{transactionId}/reinstatement:
    post:
      tags:
        - Policy Lifecycle
      summary: Create Reinstatement
      description: Creates a reinstatement from a cancelled submission. Admin only.
      operationId: reinstatement
      parameters:
        - name: AccessToken
          in: header
          required: true
          schema:
            type: string
        - name: displayId
          in: path
          required: true
          schema:
            type: string
        - name: transactionId
          in: path
          required: true
          schema:
            type: integer
      responses:
        '201':
          description: Reinstatement created
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: success
                  submission_number:
                    type: string
                  transaction_id:
                    type: integer
                  reinstatement_status:
                    type: string
                type: object
        '401':
          description: Unauthorized
        '403':
          description: Only admins can create reinstatements
        '404':
          description: Submission not found
        '422':
          description: Reinstatement not available for this status
components:
  securitySchemes:
    AccessToken:
      type: apiKey
      description: >-
        AWS Cognito access token obtained from the /authentication endpoint.
        Token expires after 3600 seconds.
      name: AccessToken
      in: header

````